title: 'YSLD Cook Book: Zoom-based polygon'
feature-styles:
- name: name
  rules:
  - name: Large
    scale: [min,1.0e8]
    symbolizers:
    - polygon:
        stroke-color: '#000000'
        stroke-width: 7
        fill-color: '#0000CC'
    - text:
        label: ${name}
        fill-color: '#FFFFFF'
        font-family: Arial
        font-size: 14
        font-style: normal
        font-weight: bold
        placement: point
        anchor: [0.5,0.5]
  - name: Medium
    scale: [1.0e8,2.0e8]
    symbolizers:
    - polygon:
        stroke-color: '#000000'
        stroke-width: 4
        fill-color: '#0000CC'
  - name: Small
    scale: [2.0e8,max]
    symbolizers:
    - polygon:
        stroke-color: '#000000'
        stroke-width: 1
        fill-color: '#0000CC'
